#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of torch-sparse
# if [ `uname` == Darwin ]; then
#     if [ "$PY_VER" == "3.6" ]; then
#         wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_sparse-0.6.1%%2Bcu101-cp36-cp36-linux_x86_64.whl
#     elif [ "$PY_VER" == "3.7" ]; then
#         wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_sparse-0.6.1%%2Bcu101-cp37-cp37-linux_x86_64.whl
#     elif [ "$PY_VER" == "3.8" ]; then
#         wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_sparse-0.6.1%%2Bcu101-cp38-cp38-linux_x86_64.whl
#     fi
# fi

if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_cluster-1.5.4%2Bcu101-cp36-cp36m-linux_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_cluster-1.5.4%2Bcu101-cp37-cp37m-linux_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_cluster-1.5.4%2Bcu101-cp38-cp38-linux_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

